* [gentoo-commits] repo/gentoo:master commit in: media-sound/snapcast/, media-sound/snapcast/files/
@ 2018-10-07 17:02 Thomas Deutschmann
0 siblings, 0 replies; 4+ messages in thread
From: Thomas Deutschmann @ 2018-10-07 17:02 UTC (permalink / raw
To: gentoo-commits
commit: a29e535d11e57f796fb5306dda84e7be990d8e5f
Author: Christian Buchinger <cb-gentoo <AT> guya <DOT> de>
AuthorDate: Fri Oct 5 14:02:16 2018 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sun Oct 7 17:01:50 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a29e535d
media-sound/snapcast: New package
Plays audio streams time sychronized on multiple devices over network using
a server and a client component.
Closes: https://bugs.gentoo.org/667710
Signed-off-by: Christian Buchinger <cb-gentoo <AT> guya.de>
Package-Manager: Portage-2.3.50, Repoman-2.3.11
Closes: https://github.com/gentoo/gentoo/pull/10059
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>
media-sound/snapcast/Manifest | 1 +
.../files/snapcast-options-for-use-flags.patch | 90 ++++++++++++++++++++++
media-sound/snapcast/files/snapclient.confd | 33 ++++++++
media-sound/snapcast/files/snapclient.initd | 17 ++++
media-sound/snapcast/files/snapserver.confd | 45 +++++++++++
media-sound/snapcast/files/snapserver.initd | 17 ++++
media-sound/snapcast/metadata.xml | 36 +++++++++
media-sound/snapcast/snapcast-0.15.0.ebuild | 87 +++++++++++++++++++++
media-sound/snapcast/snapcast-9999.ebuild | 87 +++++++++++++++++++++
9 files changed, 413 insertions(+)
diff --git a/media-sound/snapcast/Manifest b/media-sound/snapcast/Manifest
new file mode 100644
index 00000000000..64bd51fef59
--- /dev/null
+++ b/media-sound/snapcast/Manifest
@@ -0,0 +1 @@
+DIST snapcast-0.15.0.tar.gz 667452 BLAKE2B 0bf7e28ba52356c8fff8066ded3d741243c2ba88cdc6cefda113c0d6866fe14b2fea6198d7809e564cd61d32a336a2c30ee22f6f5d6ae77368a6f3e254cc5065 SHA512 3751eeaa9be4ffd5c7633b8770f36e87360ab83004f090a8350e377f60a79d9502b92b92c5c9c35f513705e6484d113de9942f0a896824d7c5f806ba0010e84e
diff --git a/media-sound/snapcast/files/snapcast-options-for-use-flags.patch b/media-sound/snapcast/files/snapcast-options-for-use-flags.patch
new file mode 100644
index 00000000000..956d6299d45
--- /dev/null
+++ b/media-sound/snapcast/files/snapcast-options-for-use-flags.patch
@@ -0,0 +1,90 @@
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 52fec6e..d068db1 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -11,6 +11,11 @@ option(BUILD_TESTS "Build tests (run tests with make test)" ON)
+ option(BUILD_SERVER "Build Snapserver" ON)
+ option(BUILD_CLIENT "Build Snapclient" ON)
+
++option(BUILD_WITH_FLAC "Build with FLAC support" ON)
++option(BUILD_WITH_VORBIS "Build with VORBIS support" ON)
++option(BUILD_WITH_TREMOR "Build with vorbis using TREMOR" ON)
++option(BUILD_WITH_AVAHI "Build with AVAHI support" ON)
++
+
+ if (NOT BUILD_SHARED_LIBS AND NOT BUILD_STATIC_LIBS)
+ message(FATAL_ERROR "One or both of BUILD_SHARED_LIBS or BUILD_STATIC_LIBS must be set to ON to build")
+@@ -109,10 +114,12 @@ else()
+ endif (ALSA_FOUND)
+ endif()
+
+- pkg_search_module(AVAHI avahi-client)
+- if (AVAHI_FOUND)
+- add_definitions(-DHAS_AVAHI)
+- endif (AVAHI_FOUND)
++ if(BUILD_WITH_AVAHI)
++ pkg_search_module(AVAHI avahi-client)
++ if (AVAHI_FOUND)
++ add_definitions(-DHAS_AVAHI)
++ endif (AVAHI_FOUND)
++ endif(BUILD_WITH_AVAHI)
+
+ add_definitions(-DHAS_DAEMON)
+
+@@ -154,29 +161,39 @@ if(NOT HAS_CXX11_STRING_SUPPORT)
+ add_definitions("-DNO_CPP11_STRING")
+ endif()
+
+-pkg_search_module(FLAC flac)
+-if (FLAC_FOUND)
+- add_definitions("-DHAS_FLAC")
+-endif (FLAC_FOUND)
++if(BUILD_WITH_FLAC)
++ pkg_search_module(FLAC flac)
++ if (FLAC_FOUND)
++ add_definitions("-DHAS_FLAC")
++ endif (FLAC_FOUND)
++endif()
+
+-pkg_search_module(OGG ogg)
+-if (OGG_FOUND)
+- add_definitions("-DHAS_OGG")
+-endif (OGG_FOUND)
++if(BUILD_WITH_VORBIS OR BUILD_WITH_TREMOR)
++ pkg_search_module(OGG ogg)
++ if (OGG_FOUND)
++ add_definitions("-DHAS_OGG")
++ endif (OGG_FOUND)
++endif()
+
+-pkg_search_module(VORBIS vorbis)
+-if (VORBIS_FOUND)
+- add_definitions("-DHAS_VORBIS")
+-endif (VORBIS_FOUND)
++if(BUILD_WITH_VORBIS)
++ pkg_search_module(VORBIS vorbis)
++ if (VORBIS_FOUND)
++ add_definitions("-DHAS_VORBIS")
++ endif (VORBIS_FOUND)
++endif()
+
+-pkg_search_module(TREMOR vorbisidec)
+-if (TREMOR_FOUND)
+- add_definitions("-DHAS_TREMOR")
+-endif (TREMOR_FOUND)
++if(BUILD_WITH_TREMOR)
++ pkg_search_module(TREMOR vorbisidec)
++ if (TREMOR_FOUND)
++ add_definitions("-DHAS_TREMOR")
++ endif (TREMOR_FOUND)
++endif()
+
+-pkg_search_module(VORBISENC vorbisenc)
+-if (VORBISENC_FOUND)
+- add_definitions("-DHAS_VORBISENC")
++if(BUILD_WITH_VORBIS)
++ pkg_search_module(VORBISENC vorbisenc)
++ if (VORBISENC_FOUND)
++ add_definitions("-DHAS_VORBISENC")
++ endif(VORBISENC_FOUND)
+ endif()
diff --git a/media-sound/snapcast/files/snapclient.confd b/media-sound/snapcast/files/snapclient.confd
new file mode 100644
index 00000000000..311cce1c4fa
--- /dev/null
+++ b/media-sound/snapcast/files/snapclient.confd
@@ -0,0 +1,33 @@
+# conf.d file for snapclient
+
+# Options for running Snapclient as daemon
+#
+# -s, --soundcard arg (=default)
+# Index or name of the soundcard
+#
+# -h, --host arg
+# Server hostname or ip address
+#
+# -p, --port arg (=1704)
+# Server port
+#
+# -d, --daemon [=arg(=-3)]
+# Daemonize, optional process priority [-20..19]
+#
+# --user arg
+# The user[:group] to run snapclient as when daemonized
+#
+# --latency arg (=0)
+# Latency of the soundcard
+#
+# -i, --instance arg (=1)
+# Instance id
+#
+# --hostID arg
+# Unique host id
+#
+# For all command line options, please see man snapclient
+
+SNAPCLIENT_USER="--user snapclient:audio"
+
+SNAPCLIENT_OPTS="-d"
diff --git a/media-sound/snapcast/files/snapclient.initd b/media-sound/snapcast/files/snapclient.initd
new file mode 100644
index 00000000000..df69eb2621a
--- /dev/null
+++ b/media-sound/snapcast/files/snapclient.initd
@@ -0,0 +1,17 @@
+#!/sbin/openrc-run
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+name=snapclient
+command="/usr/bin/snapclient"
+command_args="$SNAPCLIENT_USER $SNAPCLIENT_OPTS"
+pidfile="/run/snapclient/pid"
+
+depend() {
+ use avahi-daemon
+}
+
+start_pre() {
+ checkpath --directory --owner snapclient:audio --mode 0775 \
+ /run/snapclient
+}
diff --git a/media-sound/snapcast/files/snapserver.confd b/media-sound/snapcast/files/snapserver.confd
new file mode 100644
index 00000000000..9b12f81ff2a
--- /dev/null
+++ b/media-sound/snapcast/files/snapserver.confd
@@ -0,0 +1,45 @@
+# conf.d file for snapserver
+
+# Options for running Snapserver as daemon
+#
+# -p, --port arg (=1704)
+# Server port
+#
+# --controlPort arg (=1705)
+# Remote control port
+#
+# -s, --stream arg (=pipe:///tmp/snapfifo?name=default)
+# URI of the PCM input stream.
+# Format: TYPE://host/path?name=NAME
+# [&codec=CODEC]
+# [&sampleformat=SAMPLEFORMAT]
+#
+# --sampleformat arg (=48000:16:2)
+# Default sample format
+#
+# -c, --codec arg (=flac)
+# Default transport codec
+# (flac|ogg|pcm)[:options]
+# Type codec:? to get codec specific options
+#
+# --streamBuffer arg (=20)
+# Default stream read buffer [ms]
+#
+# -b, --buffer arg (=1000)
+# Buffer [ms]
+#
+# --sendToMuted
+# Send audio to muted clients
+#
+# -d, --daemon [=arg(=0)]
+# Daemonize
+# Optional process priority [-20..19]
+#
+# --user arg
+# The user[:group] to run snapserver as when daemonized
+#
+# For all command line options, please see man snapserver
+
+SNAPSERVER_USER="--user snapserver:snapserver"
+
+SNAPSERVER_OPTS="-d -s pipe:///tmp/snapfifo?name=default"
diff --git a/media-sound/snapcast/files/snapserver.initd b/media-sound/snapcast/files/snapserver.initd
new file mode 100644
index 00000000000..02762c861b0
--- /dev/null
+++ b/media-sound/snapcast/files/snapserver.initd
@@ -0,0 +1,17 @@
+#!/sbin/openrc-run
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+name=snapserver
+command="/usr/bin/snapserver"
+command_args="$SNAPSERVER_USER $SNAPSERVER_OPTS"
+pidfile="/run/snapserver/pid"
+
+depend() {
+ use avahi-daemon
+}
+
+start_pre() {
+ checkpath --directory --owner snapserver:snapserver --mode 0775 \
+ /run/snapserver
+}
diff --git a/media-sound/snapcast/metadata.xml b/media-sound/snapcast/metadata.xml
new file mode 100644
index 00000000000..b0eb43fa759
--- /dev/null
+++ b/media-sound/snapcast/metadata.xml
@@ -0,0 +1,36 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>cb-gentoo@guya.de</email>
+ <name>Christian Buchinger</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <use>
+ <flag name="avahi">Build with avahi support</flag>
+ <flag name="client">Build and install Snapcast client component</flag>
+ <flag name="flac">Build with FLAC compression support</flag>
+ <flag name="server">Build and install Snapcast server component</flag>
+ <flag name="static-libs">Build static libs</flag>
+ <flag name="test">Build and run tests</flag>
+ <flag name="tremor">Build with TREMOR version of vorbis</flag>
+ <flag name="vorbis">Build with libvorbis support</flag>
+ </use>
+ <upstream>
+ <maintainer status="active">
+ <name>Johannes Pohl</name>
+ <email>github@badaix.de</email>
+ </maintainer>
+ <bugs-to>https://github.com/badaix/snapcast/issues</bugs-to>
+ <remote-id type="github">badaix/snapcast</remote-id>
+ </upstream>
+ <longdescription lang="en">
+ Snapcast plays audio streams time sychronized on multiple devices over
+ network using a server and a client component. The server picks up an
+ audio stream from a fifo pipe, thus it can be combined with any audio
+ source that is able to write to a pipe.
+ </longdescription>
+</pkgmetadata>
diff --git a/media-sound/snapcast/snapcast-0.15.0.ebuild b/media-sound/snapcast/snapcast-0.15.0.ebuild
new file mode 100644
index 00000000000..da8726fd243
--- /dev/null
+++ b/media-sound/snapcast/snapcast-0.15.0.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+DESCRIPTION="Synchronous multi-room audio player"
+HOMEPAGE="https://github.com/badaix/snapcast"
+
+if [[ ${PV} == *9999 ]] ; then
+ inherit user cmake-utils git-r3
+
+ EGIT_REPO_URI="https://github.com/badaix/snapcast.git"
+ EGIT_BRANCH="develop"
+else
+ inherit user cmake-utils
+
+ SRC_URI="https://github.com/badaix/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="+avahi +client +flac +server static-libs tremor +vorbis"
+
+REQUIRED_USE="|| ( server client )"
+
+RDEPEND="avahi? ( net-dns/avahi[dbus] )
+ client? ( media-libs/alsa-lib )
+ flac? ( media-libs/flac )
+ tremor? ( media-libs/tremor )
+ vorbis? ( media-libs/libvorbis )"
+DEPEND="${RDEPEND}
+ >=dev-cpp/aixlog-1.2.1
+ >=dev-cpp/asio-1.12.1
+ >=dev-cpp/popl-1.2.0"
+
+PATCHES=( "${FILESDIR}/${PN}-options-for-use-flags.patch" )
+
+pkg_preinst() {
+ if use server ; then
+ enewgroup "snapserver"
+ enewuser "snapserver" -1 -1 /var/lib/snapserver snapserver
+ fi
+
+ if use client ; then
+ enewuser "snapclient" -1 -1 /var/lib/snapclient audio
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_WITH_AVAHI=$(usex avahi)
+ -DBUILD_CLIENT=$(usex client)
+ -DBUILD_WITH_FLAC=$(usex flac)
+ -DBUILD_SERVER=$(usex server)
+ -DBUILD_STATIC_LIBS=$(usex static-libs)
+ -DBUILD_TESTS=no
+ -DBUILD_WITH_TREMOR=$(usex tremor)
+ -DBUILD_WITH_VORBIS=$(usex vorbis)
+ )
+
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ for bin in server client ; do
+ if use ${bin} ; then
+ doman "${bin}/snap${bin}.1"
+
+ newconfd "${FILESDIR}/snap${bin}.confd" "snap${bin}"
+ newinitd "${FILESDIR}/snap${bin}.initd" "snap${bin}"
+ fi
+ done
+
+ if use client ; then
+ diropts -m 0770 -o snapclient audio
+ keepdir /var/lib/snapclient
+ fi
+
+ if use server ; then
+ diropts -m 0770 -o snapserver snapserver
+ keepdir /var/lib/snapserver
+ fi
+}
diff --git a/media-sound/snapcast/snapcast-9999.ebuild b/media-sound/snapcast/snapcast-9999.ebuild
new file mode 100644
index 00000000000..da8726fd243
--- /dev/null
+++ b/media-sound/snapcast/snapcast-9999.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+DESCRIPTION="Synchronous multi-room audio player"
+HOMEPAGE="https://github.com/badaix/snapcast"
+
+if [[ ${PV} == *9999 ]] ; then
+ inherit user cmake-utils git-r3
+
+ EGIT_REPO_URI="https://github.com/badaix/snapcast.git"
+ EGIT_BRANCH="develop"
+else
+ inherit user cmake-utils
+
+ SRC_URI="https://github.com/badaix/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="+avahi +client +flac +server static-libs tremor +vorbis"
+
+REQUIRED_USE="|| ( server client )"
+
+RDEPEND="avahi? ( net-dns/avahi[dbus] )
+ client? ( media-libs/alsa-lib )
+ flac? ( media-libs/flac )
+ tremor? ( media-libs/tremor )
+ vorbis? ( media-libs/libvorbis )"
+DEPEND="${RDEPEND}
+ >=dev-cpp/aixlog-1.2.1
+ >=dev-cpp/asio-1.12.1
+ >=dev-cpp/popl-1.2.0"
+
+PATCHES=( "${FILESDIR}/${PN}-options-for-use-flags.patch" )
+
+pkg_preinst() {
+ if use server ; then
+ enewgroup "snapserver"
+ enewuser "snapserver" -1 -1 /var/lib/snapserver snapserver
+ fi
+
+ if use client ; then
+ enewuser "snapclient" -1 -1 /var/lib/snapclient audio
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_WITH_AVAHI=$(usex avahi)
+ -DBUILD_CLIENT=$(usex client)
+ -DBUILD_WITH_FLAC=$(usex flac)
+ -DBUILD_SERVER=$(usex server)
+ -DBUILD_STATIC_LIBS=$(usex static-libs)
+ -DBUILD_TESTS=no
+ -DBUILD_WITH_TREMOR=$(usex tremor)
+ -DBUILD_WITH_VORBIS=$(usex vorbis)
+ )
+
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ for bin in server client ; do
+ if use ${bin} ; then
+ doman "${bin}/snap${bin}.1"
+
+ newconfd "${FILESDIR}/snap${bin}.confd" "snap${bin}"
+ newinitd "${FILESDIR}/snap${bin}.initd" "snap${bin}"
+ fi
+ done
+
+ if use client ; then
+ diropts -m 0770 -o snapclient audio
+ keepdir /var/lib/snapclient
+ fi
+
+ if use server ; then
+ diropts -m 0770 -o snapserver snapserver
+ keepdir /var/lib/snapserver
+ fi
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-sound/snapcast/, media-sound/snapcast/files/
@ 2018-10-26 12:26 Michał Górny
0 siblings, 0 replies; 4+ messages in thread
From: Michał Górny @ 2018-10-26 12:26 UTC (permalink / raw
To: gentoo-commits
commit: 70e12bfc0e59eb6b24288987a323ab18581dca91
Author: Christian Buchinger <cb-gentoo <AT> guya <DOT> de>
AuthorDate: Tue Oct 23 16:49:07 2018 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Oct 26 12:25:11 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70e12bfc
media-sound/snapcast: Minor fixes
* Forcing -d(aemon) by moving it from confd to initd
* Dropped global USE flag descriptions
* Removed CMakeList patch because upstream merged it
Signed-off-by: Christian Buchinger <cb-gentoo <AT> guya.de>
Package-Manager: Portage-2.3.51, Repoman-2.3.11
Closes: https://github.com/gentoo/gentoo/pull/10207
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
media-sound/snapcast/files/snapclient.confd | 2 +-
media-sound/snapcast/files/snapclient.initd | 2 +-
media-sound/snapcast/files/snapserver.confd | 2 +-
media-sound/snapcast/files/snapserver.initd | 2 +-
media-sound/snapcast/metadata.xml | 3 ---
.../snapcast/{snapcast-0.15.0.ebuild => snapcast-0.15.0-r1.ebuild} | 0
media-sound/snapcast/snapcast-9999.ebuild | 2 --
7 files changed, 4 insertions(+), 9 deletions(-)
diff --git a/media-sound/snapcast/files/snapclient.confd b/media-sound/snapcast/files/snapclient.confd
index 311cce1c4fa..e636d74da2b 100644
--- a/media-sound/snapcast/files/snapclient.confd
+++ b/media-sound/snapcast/files/snapclient.confd
@@ -30,4 +30,4 @@
SNAPCLIENT_USER="--user snapclient:audio"
-SNAPCLIENT_OPTS="-d"
+SNAPCLIENT_OPTS=""
diff --git a/media-sound/snapcast/files/snapclient.initd b/media-sound/snapcast/files/snapclient.initd
index df69eb2621a..45c0c74316d 100644
--- a/media-sound/snapcast/files/snapclient.initd
+++ b/media-sound/snapcast/files/snapclient.initd
@@ -4,7 +4,7 @@
name=snapclient
command="/usr/bin/snapclient"
-command_args="$SNAPCLIENT_USER $SNAPCLIENT_OPTS"
+command_args="-d $SNAPCLIENT_USER $SNAPCLIENT_OPTS"
pidfile="/run/snapclient/pid"
depend() {
diff --git a/media-sound/snapcast/files/snapserver.confd b/media-sound/snapcast/files/snapserver.confd
index 9b12f81ff2a..8a4327a79b9 100644
--- a/media-sound/snapcast/files/snapserver.confd
+++ b/media-sound/snapcast/files/snapserver.confd
@@ -42,4 +42,4 @@
SNAPSERVER_USER="--user snapserver:snapserver"
-SNAPSERVER_OPTS="-d -s pipe:///tmp/snapfifo?name=default"
+SNAPSERVER_OPTS="-s pipe:///tmp/snapfifo?name=default"
diff --git a/media-sound/snapcast/files/snapserver.initd b/media-sound/snapcast/files/snapserver.initd
index 02762c861b0..220e7228eeb 100644
--- a/media-sound/snapcast/files/snapserver.initd
+++ b/media-sound/snapcast/files/snapserver.initd
@@ -4,7 +4,7 @@
name=snapserver
command="/usr/bin/snapserver"
-command_args="$SNAPSERVER_USER $SNAPSERVER_OPTS"
+command_args="-d $SNAPSERVER_USER $SNAPSERVER_OPTS"
pidfile="/run/snapserver/pid"
depend() {
diff --git a/media-sound/snapcast/metadata.xml b/media-sound/snapcast/metadata.xml
index 3a92671f333..cf204c8ac11 100644
--- a/media-sound/snapcast/metadata.xml
+++ b/media-sound/snapcast/metadata.xml
@@ -10,12 +10,9 @@
<name>Proxy Maintainers</name>
</maintainer>
<use>
- <flag name="avahi">Build with avahi support</flag>
<flag name="client">Build and install Snapcast client component</flag>
- <flag name="flac">Build with FLAC compression support</flag>
<flag name="server">Build and install Snapcast server component</flag>
<flag name="tremor">Build with TREMOR version of vorbis</flag>
- <flag name="vorbis">Build with libvorbis support</flag>
</use>
<upstream>
<maintainer status="active">
diff --git a/media-sound/snapcast/snapcast-0.15.0.ebuild b/media-sound/snapcast/snapcast-0.15.0-r1.ebuild
similarity index 100%
rename from media-sound/snapcast/snapcast-0.15.0.ebuild
rename to media-sound/snapcast/snapcast-0.15.0-r1.ebuild
diff --git a/media-sound/snapcast/snapcast-9999.ebuild b/media-sound/snapcast/snapcast-9999.ebuild
index a664ea01e29..6bfe033cdb5 100644
--- a/media-sound/snapcast/snapcast-9999.ebuild
+++ b/media-sound/snapcast/snapcast-9999.ebuild
@@ -35,8 +35,6 @@ DEPEND="${RDEPEND}
>=dev-cpp/asio-1.12.1
>=dev-cpp/popl-1.2.0"
-PATCHES=( "${FILESDIR}/${PN}-options-for-use-flags.patch" )
-
pkg_setup() {
if use server ; then
enewgroup "snapserver"
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-sound/snapcast/, media-sound/snapcast/files/
@ 2021-11-06 19:40 Jakov Smolić
0 siblings, 0 replies; 4+ messages in thread
From: Jakov Smolić @ 2021-11-06 19:40 UTC (permalink / raw
To: gentoo-commits
commit: 4f80001703d1300bf35141adcfca5593da5fdb9f
Author: Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 6 19:40:17 2021 +0000
Commit: Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
CommitDate: Sat Nov 6 19:40:17 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f800017
media-sound/snapcast: Apply c++17 patch
Thanks to Andreas Sturmlechner for providing the patch link.
Closes: https://bugs.gentoo.org/808705
Signed-off-by: Jakov Smolić <jsmolic <AT> gentoo.org>
.../snapcast/files/snapcast-0.25.0-cxx17.patch | 27 ++++++++++++++++++++++
media-sound/snapcast/snapcast-0.25.0-r1.ebuild | 5 +++-
2 files changed, 31 insertions(+), 1 deletion(-)
diff --git a/media-sound/snapcast/files/snapcast-0.25.0-cxx17.patch b/media-sound/snapcast/files/snapcast-0.25.0-cxx17.patch
new file mode 100644
index 00000000000..f6797a62f85
--- /dev/null
+++ b/media-sound/snapcast/files/snapcast-0.25.0-cxx17.patch
@@ -0,0 +1,27 @@
+https://gitlab.exherbo.org/exherbo/media/-/blob/master/packages/net-apps/snapcast/files/snapcast-Set-CMAKE_CXX_STANDARD-to-17.patch
+
+From 9858c60109c5d4aa09c26d1cb44be5c056849a36 Mon Sep 17 00:00:00 2001
+From: Heiko Becker <heirecka@exherbo.org>
+Date: Fri, 15 Oct 2021 23:55:39 +0200
+Subject: [PATCH] Set CMAKE_CXX_STANDARD to 17
+
+Fixes the build with boost[>=1.77.0] and we shouldn't have compilers
+which don't support it.
+---
+ CMakeLists.txt | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 4381a71c..5373f658 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -127,7 +127,7 @@ if(NOT ANDROID)
+ endif()
+
+ # Configure compiler options
+-set(CMAKE_CXX_STANDARD 14)
++set(CMAKE_CXX_STANDARD 17)
+
+ # Get arch
+ include(${CMAKE_SOURCE_DIR}/cmake/TargetArch.cmake)
+
diff --git a/media-sound/snapcast/snapcast-0.25.0-r1.ebuild b/media-sound/snapcast/snapcast-0.25.0-r1.ebuild
index 093e6dafcf7..c969b0dbde4 100644
--- a/media-sound/snapcast/snapcast-0.25.0-r1.ebuild
+++ b/media-sound/snapcast/snapcast-0.25.0-r1.ebuild
@@ -39,7 +39,10 @@ DEPEND="
>=dev-cpp/popl-1.2.0
"
-PATCHES=( "${FILESDIR}"/${PN}-0.20.0-gcc-11.patch )
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.20.0-gcc-11.patch
+ "${FILESDIR}"/${P}-cxx17.patch
+)
src_configure() {
local mycmakeargs=(
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-sound/snapcast/, media-sound/snapcast/files/
@ 2023-04-15 9:32 Sam James
0 siblings, 0 replies; 4+ messages in thread
From: Sam James @ 2023-04-15 9:32 UTC (permalink / raw
To: gentoo-commits
commit: d8019a4a12ab3f015ca2fe4f49ef6f8fd581a1a4
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 15 09:23:01 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Apr 15 09:32:29 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8019a4a
media-sound/snapcast: fix build w/ gcc 13
Closes: https://bugs.gentoo.org/894742
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../snapcast/files/snapcast-0.27.0-gcc13.patch | 26 ++++++++++++++++++++++
media-sound/snapcast/snapcast-0.27.0.ebuild | 4 ++++
2 files changed, 30 insertions(+)
diff --git a/media-sound/snapcast/files/snapcast-0.27.0-gcc13.patch b/media-sound/snapcast/files/snapcast-0.27.0-gcc13.patch
new file mode 100644
index 000000000000..5378874e6dd3
--- /dev/null
+++ b/media-sound/snapcast/files/snapcast-0.27.0-gcc13.patch
@@ -0,0 +1,26 @@
+https://github.com/badaix/snapcast/pull/1124
+
+From 73c75ccb8eb20aa1514e8c86deb859e70bc63290 Mon Sep 17 00:00:00 2001
+From: Sam James <sam@gentoo.org>
+Date: Sat, 15 Apr 2023 10:20:47 +0100
+Subject: [PATCH] Fix build with GCC 13
+
+GCC 13 (as usual for new compiler releases) shuffles around some internal includes so some
+are no longer transitively included.
+
+See https://gnu.org/software/gcc/gcc-13/porting_to.html.
+
+Bug: https://bugs.gentoo.org/894742
+--- a/common/sample_format.hpp
++++ b/common/sample_format.hpp
+@@ -19,6 +19,7 @@
+ #ifndef SAMPLE_FORMAT_H
+ #define SAMPLE_FORMAT_H
+
++#include <cstdint>
+ #include <string>
+
+
+--
+2.40.0
+
diff --git a/media-sound/snapcast/snapcast-0.27.0.ebuild b/media-sound/snapcast/snapcast-0.27.0.ebuild
index d004bb179589..80e1997b38e9 100644
--- a/media-sound/snapcast/snapcast-0.27.0.ebuild
+++ b/media-sound/snapcast/snapcast-0.27.0.ebuild
@@ -37,6 +37,10 @@ DEPEND="
>=dev-cpp/popl-1.2.0
"
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.27.0-gcc13.patch
+)
+
src_configure() {
local mycmakeargs=(
-DBUILD_CLIENT=$(usex client)
^ permalink raw reply related [flat|nested] 4+ messages in thread
end of thread, other threads:[~2023-04-15 9:32 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-10-07 17:02 [gentoo-commits] repo/gentoo:master commit in: media-sound/snapcast/, media-sound/snapcast/files/ Thomas Deutschmann
-- strict thread matches above, loose matches on Subject: below --
2018-10-26 12:26 Michał Górny
2021-11-06 19:40 Jakov Smolić
2023-04-15 9:32 Sam James
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox